Package com.io7m.coffeepick.runtime.parser.spi

# Class SPIProbeFailure

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.SPIProbeFailure

All Implemented Interfaces:
  `SPIProbeResultType`, `SPIProbeResultType.SPIProbeFailureType`

    public final class SPIProbeFailure
    extends java.lang.Object
    implements SPIProbeResultType.SPIProbeFailureType

Probing failed.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `SPIProbeFailure.Builder` | Builds instances of type `SPIProbeFailure`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.runtime.parser.spi.SPIProbeResultType

  `SPIProbeResultType.Kind, SPIProbeResultType.SPIProbeFailureType, SPIProbeResultType.SPIProbeSuccessType`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static SPIProbeFailure.Builder` | `builder()` | Creates a builder for `SPIProbeFailure`.
  `static SPIProbeFailure` | `copyOf​(SPIProbeResultType.SPIProbeFailureType instance)` | Creates an immutable copy of a `SPIProbeResultType.SPIProbeFailureType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `SPIProbeFailure` that have equal attribute values.
  `java.util.Optional<java.lang.Exception>` | `error()` |
  `int` | `hashCode()` | Computes a hash code from attributes: `error`.
  `java.lang.String` | `toString()` | Prints the immutable value `SPIProbeFailure` with attribute values.
  `SPIProbeFailure` | `withError​(java.lang.Exception value)` | Copy the current immutable object by setting a present value for the optional `error` attribute.
  `SPIProbeFailure` | `withError​(java.util.Optional<? extends java.lang.Exception> optional)` | Copy the current immutable object by setting an optional value for the `error` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.runtime.parser.spi.SPIProbeResultType.SPIProbeFailureType

  `kind`

- ## Method Details

  - ### error

    public java.util.Optional<java.lang.Exception> error()
    Specified by:
      `error` in interface `SPIProbeResultType.SPIProbeFailureType`
    Returns:
      The exception encountered, if any

  - ### withError

    public final SPIProbeFailure withError​(java.lang.Exception value)
    Copy the current immutable object by setting a present value for the optional `error` attribute.
    Parameters:
      `value` - The value for error
    Returns:
      A modified copy of `this` object

  - ### withError

    public final SPIProbeFailure withError​(java.util.Optional<? extends java.lang.Exception> optional)
    Copy the current immutable object by setting an optional value for the `error` attribute. A shallow reference equality check is used on unboxed optional value to prevent copying of the same value by returning `this`.
    Parameters:
      `optional` - A value for error
    Returns:
      A modified copy of `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `SPIProbeFailure` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `error`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `SPIProbeFailure` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static SPIProbeFailure copyOf​(SPIProbeResultType.SPIProbeFailureType instance)
    Creates an immutable copy of a `SPIProbeResultType.SPIProbeFailureType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable SPIProbeFailure instance

  - ### builder

    public static SPIProbeFailure.Builder builder()
    Creates a builder for `SPIProbeFailure`.

         SPIProbeFailure.builder()
            .setError(Exception) // optional error
            .build();

    Returns:
      A new SPIProbeFailure builder